Bug 1577622 - [abrt] gnome-software: g_ptr_array_add(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: g_ptr_array_add(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:efc84622c9b3d67b4cf8f8bf5e1...
: 1577628 1577738 1578745 1584487 1591117 1643670 1645940 1652709 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-13 14:44 UTC by Alex Regan
Modified: 2019-05-28 23:20 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:20:01 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (46.62 KB, text/plain)
2018-05-13 14:44 UTC, Alex Regan
no flags Details
File: cgroup (195 bytes, text/plain)
2018-05-13 14:44 UTC, Alex Regan
no flags Details
File: core_backtrace (35.07 KB, text/plain)
2018-05-13 14:44 UTC, Alex Regan
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-05-13 14:44 UTC, Alex Regan
no flags Details
File: dso_list (17.65 KB, text/plain)
2018-05-13 14:44 UTC, Alex Regan
no flags Details
File: environ (5.41 KB, text/plain)
2018-05-13 14:44 UTC, Alex Regan
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-13 14:44 UTC, Alex Regan
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-13 14:44 UTC, Alex Regan
no flags Details
File: maps (89.58 KB, text/plain)
2018-05-13 14:44 UTC, Alex Regan
no flags Details
File: mountinfo (4.58 KB, text/plain)
2018-05-13 14:44 UTC, Alex Regan
no flags Details
File: open_fds (3.65 KB, text/plain)
2018-05-13 14:44 UTC, Alex Regan
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-13 14:44 UTC, Alex Regan
no flags Details
File: var_log_messages (11.97 KB, text/plain)
2018-05-13 14:44 UTC, Alex Regan
no flags Details

Description Alex Regan 2018-05-13 14:44:41 UTC
Description of problem:


Version-Release number of selected component:
gnome-software-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_ptr_array_add
executable:     /usr/bin/gnome-software
journald_cursor: s=ed7fe7d9dd774120934efab60e90c2d6;i=11f907;b=0ea57e16ee034aeda99f5dffa89fbaa9;m=3bf9c8be33;t=56c16df84fa3c;x=d0e302d87d6a4941
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_ptr_array_add at garray.c:1403
 #1 gs_app_add_screenshot at ../lib/gs-app.c:2611
 #2 gs_appstream_refine_add_screenshots at ../plugins/flatpak/gs-appstream.c:210
 #3 gs_appstream_refine_app at ../plugins/flatpak/gs-appstream.c:777
 #4 gs_plugin_refine_from_pkgname at ../plugins/core/gs-plugin-appstream.c:451
 #5 gs_plugin_refine_app at ../plugins/core/gs-plugin-appstream.c:497
 #6 gs_plugin_loader_call_vfunc at ../lib/gs-plugin-loader.c:595
 #7 gs_plugin_loader_run_refine_filter at ../lib/gs-plugin-loader.c:844
 #8 gs_plugin_loader_run_refine_internal at ../lib/gs-plugin-loader.c:870
 #9 gs_plugin_loader_run_refine at ../lib/gs-plugin-loader.c:1010

Potential duplicate: bug 1473029

Comment 1 Alex Regan 2018-05-13 14:44:43 UTC
Created attachment 1435696 [details]
File: backtrace

Comment 2 Alex Regan 2018-05-13 14:44:44 UTC
Created attachment 1435697 [details]
File: cgroup

Comment 3 Alex Regan 2018-05-13 14:44:45 UTC
Created attachment 1435698 [details]
File: core_backtrace

Comment 4 Alex Regan 2018-05-13 14:44:46 UTC
Created attachment 1435699 [details]
File: cpuinfo

Comment 5 Alex Regan 2018-05-13 14:44:47 UTC
Created attachment 1435700 [details]
File: dso_list

Comment 6 Alex Regan 2018-05-13 14:44:48 UTC
Created attachment 1435701 [details]
File: environ

Comment 7 Alex Regan 2018-05-13 14:44:49 UTC
Created attachment 1435702 [details]
File: exploitable

Comment 8 Alex Regan 2018-05-13 14:44:50 UTC
Created attachment 1435703 [details]
File: limits

Comment 9 Alex Regan 2018-05-13 14:44:51 UTC
Created attachment 1435704 [details]
File: maps

Comment 10 Alex Regan 2018-05-13 14:44:52 UTC
Created attachment 1435705 [details]
File: mountinfo

Comment 11 Alex Regan 2018-05-13 14:44:53 UTC
Created attachment 1435706 [details]
File: open_fds

Comment 12 Alex Regan 2018-05-13 14:44:54 UTC
Created attachment 1435707 [details]
File: proc_pid_status

Comment 13 Alex Regan 2018-05-13 14:44:55 UTC
Created attachment 1435708 [details]
File: var_log_messages

Comment 14 Denis Makedonov 2018-05-13 15:45:45 UTC
*** Bug 1577628 has been marked as a duplicate of this bug. ***

Comment 15 Arjan Hulsebos 2018-05-14 04:41:56 UTC
*** Bug 1577738 has been marked as a duplicate of this bug. ***

Comment 16 Andrey 2018-05-16 10:45:43 UTC
*** Bug 1578745 has been marked as a duplicate of this bug. ***

Comment 17 av0r 2018-05-31 03:44:05 UTC
*** Bug 1584487 has been marked as a duplicate of this bug. ***

Comment 18 hemilruparel2002 2018-06-14 06:08:02 UTC
*** Bug 1591117 has been marked as a duplicate of this bug. ***

Comment 19 Anant Gadekar 2018-10-27 05:46:39 UTC
*** Bug 1643670 has been marked as a duplicate of this bug. ***

Comment 20 Ignace BIENVILLE 2018-11-05 02:06:33 UTC
*** Bug 1645940 has been marked as a duplicate of this bug. ***

Comment 21 Tilak Das 2018-11-22 16:48:24 UTC
*** Bug 1652709 has been marked as a duplicate of this bug. ***

Comment 22 Ben Cotton 2019-05-02 20:16:09 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 23 Ben Cotton 2019-05-28 23:20:01 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.